Get Balance
curl --request GET \
--url http://127.0.0.1:3333/v3/billing/balance \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/billing/balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/billing/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"credits": 123,
"currency": "<string>",
"wallet": {
"total": 123,
"recurring": 123,
"purchased": 123
},
"addons": {
"seats": {
"total": 123,
"used": 123
},
"storage": {
"total": 123,
"used": 123
}
},
"workspaceId": "<string>",
"billingHold": true,
"billingHoldReason": "<string>",
"billingHoldAt": "<string>",
"creditDebt": 123
}{
"error": "<string>"
}{
"error": "<string>"
}Billing & Usage
Get Balance
Get workspace billing balance and addons.
GET
/
v3
/
billing
/
balance
Get Balance
curl --request GET \
--url http://127.0.0.1:3333/v3/billing/balance \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/billing/balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/billing/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"credits": 123,
"currency": "<string>",
"wallet": {
"total": 123,
"recurring": 123,
"purchased": 123
},
"addons": {
"seats": {
"total": 123,
"used": 123
},
"storage": {
"total": 123,
"used": 123
}
},
"workspaceId": "<string>",
"billingHold": true,
"billingHoldReason": "<string>",
"billingHoldAt": "<string>",
"creditDebt": 123
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.